Subject: bug#22993: Potential fix/workaround for 22993

From: Alan Third <[email-masked]>
Date: Sun, 3 Jul 2016 10:19:37 +0100

Hi Aaron,

Sorry for taking so long to respond. I still see Emacs going into app
nap mode with this. Is it working for you?

On Thu, Jun 16, 2016 at 05:33:17AM -0700, Aaron Jensen wrote:
> I believe my first suggestion was incorrect, I apologize. This should do it:
> 
>  nextstep/templates/Info.plist.in | 2 ++
> 
>  1 file changed, 2 insertions(+)
> 
> diff --git a/nextstep/templates/Info.plist.in b/nextstep/templates/Info.plist.in
> 
> index dcd2fe3..6f56939 100644
> 
> --- a/nextstep/templates/Info.plist.in
> 
> +++ b/nextstep/templates/Info.plist.in
> 
> @@ -675,5 +675,7 @@ along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
> 
>         </array>
> 
>         <key>NSAppleScriptEnabled</key>
> 
>         <string>YES</string>
> 
> +       <key>LSAppNapIsDisabled</key>
> 
> +       <true/>
> 
>  </dict>
> 
>  </plist>
> 
> https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550
> https://gist.github.com/aaronjensen/d81d94c116549d0893ba4bc637149550
> 
> Aaron
> 
> On Wed, Jun 15, 2016 at 1:35 PM Alan Third
> 
> <
> mailto:Alan Third <[email-masked]>
> > wrote:
> 
> "Aaron Jensen" <
> mailto:[email-masked]
> > writes:
> 
> > There are at least two ways to fix this, one is to disable app nap
> 
> > entirely. You can add this to Info.plist.in:
> 
> >
> 
> > +
> 
> LSAppNapIsDisabled
> 
> > +
> 
> True
> 
> Are you able to provide a patch for this? I've tried but it doesn't seem
> 
> to make any difference, so I expect I'm doing something wrong.
> 
> > The other would be to somehow cause the app to “wake up” whenever the
> 
> > tty client is used as well. I’m not sure how to do that, it may be
> 
> > trickier.
> 
> To my mind this would be preferable, as it means we could take advantage
> 
> of any power-saving features AppNap provides without causing performance
> 
> problems. I can't see anything anywhere about how to do it, though, so
> 
> perhaps it's impossible.
> 

-- 
Alan Third